Bug 227210 - Move Mk/bsd.fpc.mk to Uses/fpc.mk
Summary: Move Mk/bsd.fpc.mk to Uses/fpc.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jose Alonso Cardenas Marquez
URL: https://reviews.freebsd.org/D14617
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-02 18:21 UTC by Jose Alonso Cardenas Marquez
Modified: 2018-04-05 04:53 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez freebsd_committer 2018-04-02 18:21:52 UTC
It introduces Uses/fpc.mk and move all fpc-ports to USES=fpc

Mat approved https://reviews.freebsd.org/D14617 but he suggested run an exp-run before of commit it

Patch file can be obtained from https://reviews.freebsd.org/D14617
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2018-04-04 06:20:38 UTC
I have updated https://reviews.freebsd.org/D14617 .It reverts editors/lazarus to 1.8.0. Please test with this revision

https://reviews.freebsd.org/D14617?vs=40205&id=41071&whitespace=ignore-all&large=true#toc

Otherwise, if some lazarus-based ports are broken it could be fixed with https://reviews.freebsd.org/D14661 after of commit it
Comment 4 Jose Alonso Cardenas Marquez freebsd_committer 2018-04-04 15:16:04 UTC
It could fix the problem with peazip

--- Makefile.orig       2018-04-04 14:53:34.983768000 +0000
+++ Makefile    2018-04-04 14:54:25.782321000 +0000
@@ -43,7 +43,7 @@

 OPTIONS_DEFAULT=       GTK2 7Z

-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>

 .if ${PORT_OPTIONS:MGTK2}
 USE_FPC+=      gtk2
@@ -124,4 +124,4 @@
                ${INSTALL_DATA} peazip.png ${STAGEDIR}${PREFIX}/share/pixmaps/
        ${INSTALL_SCRIPT} ${WRKDIR}/pea ${WRKDIR}/pealauncher ${WRKDIR}/peazip ${STAGEDIR}${PREFIX}/bin/

-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Comment 5 Antoine Brodin freebsd_committer 2018-04-04 20:06:14 UTC
Exp-run looks fine.
Comment 6 Jose Alonso Cardenas Marquez freebsd_committer 2018-04-05 04:53:20 UTC
Committed thanks!
Comment 7 commit-hook freebsd_committer 2018-04-05 04:53:27 UTC
A commit references this bug:

Author: acm
Date: Thu Apr  5 04:52:44 UTC 2018
New revision: 466532
URL: https://svnweb.freebsd.org/changeset/ports/466532

Log:
  - Migrate Mk/bsd.fpc.mk to Mk/Uses/fpc.mk
  - Convert all fpc-based ports to USES=fpc

  PR:             227210
  Reviewed by:    portmgr
  Approved by:    portmgr
  Exp-run by:     antoine
  Differential Revision:  https://reviews.freebsd.org/D14617

Changes:
  head/Mk/Uses/fpc.mk
  head/Mk/bsd.fpc.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
  head/archivers/fpc-bzip2/Makefile
  head/archivers/fpc-unzip/Makefile
  head/archivers/peazip/Makefile
  head/audio/fpc-a52/Makefile
  head/audio/fpc-mad/Makefile
  head/audio/fpc-modplug/Makefile
  head/audio/fpc-oggvorbis/Makefile
  head/audio/fpc-openal/Makefile
  head/cad/zcad/Makefile
  head/comms/cqrlog/Makefile
  head/converters/fpc-iconvenc/Makefile
  head/databases/fpc-dblib/Makefile
  head/databases/fpc-fpindexer/Makefile
  head/databases/fpc-gdbm/Makefile
  head/databases/fpc-ibase/Makefile
  head/databases/fpc-mysql/Makefile
  head/databases/fpc-odbc/Makefile
  head/databases/fpc-oracle/Makefile
  head/databases/fpc-postgres/Makefile
  head/databases/fpc-pxlib/Makefile
  head/databases/fpc-sqlite/Makefile
  head/devel/fpc-bfd/Makefile
  head/devel/fpc-dbus/Makefile
  head/devel/fpc-fcl-async/Makefile
  head/devel/fpc-fcl-base/Makefile
  head/devel/fpc-fcl-db/Makefile
  head/devel/fpc-fcl-extra/Makefile
  head/devel/fpc-fcl-fpcunit/Makefile
  head/devel/fpc-fcl-image/Makefile
  head/devel/fpc-fcl-js/Makefile
  head/devel/fpc-fcl-json/Makefile
  head/devel/fpc-fcl-net/Makefile
  head/devel/fpc-fcl-passrc/Makefile
  head/devel/fpc-fcl-pdf/Makefile
  head/devel/fpc-fcl-registry/Makefile
  head/devel/fpc-fcl-res/Makefile
  head/devel/fpc-fcl-sdo/Makefile
  head/devel/fpc-fcl-sound/Makefile
  head/devel/fpc-fcl-stl/Makefile
  head/devel/fpc-fcl-web/Makefile
  head/devel/fpc-fcl-xml/Makefile
  head/devel/fpc-fppkg/Makefile
  head/devel/fpc-fv/Makefile
  head/devel/fpc-gdbint/Makefile
  head/devel/fpc-newt/Makefile
  head/devel/fpc-pthreads/Makefile
  head/devel/fpc-regexpr/Makefile
  head/devel/fpc-sdl/Makefile
  head/devel/fpc-symbolic/Makefile
  head/devel/fpc-zlib/Makefile
  head/editors/coedit/Makefile
  head/editors/fpc-ide/Makefile
  head/editors/lazarus/Makefile
  head/ftp/fpc-libcurl/Makefile
  head/games/hedgewars/Makefile
  head/graphics/fpc-cairo/Makefile
  head/graphics/fpc-graph/Makefile
  head/graphics/fpc-hermes/Makefile
  head/graphics/fpc-imagemagick/Makefile
  head/graphics/fpc-libgd/Makefile
  head/graphics/fpc-libpng/Makefile
  head/graphics/fpc-ncurses/Makefile
  head/graphics/fpc-opengl/Makefile
  head/graphics/fpc-pasjpeg/Makefile
  head/graphics/fpc-proj4/Makefile
  head/graphics/fpc-rsvg/Makefile
  head/graphics/fpc-svgalib/Makefile
  head/lang/fpc/Makefile
  head/lang/fpc-base/Makefile
  head/lang/fpc-lua/Makefile
  head/lang/fpc-rexx/Makefile
  head/lang/fpc-rtl-console/Makefile
  head/lang/fpc-rtl-extra/Makefile
  head/lang/fpc-rtl-objpas/Makefile
  head/lang/fpc-rtl-unicode/Makefile
  head/lang/fpc-units/Makefile
  head/lang/fpc-utils/Makefile
  head/lang/nbc/Makefile
  head/math/fpc-fftw/Makefile
  head/math/fpc-gmp/Makefile
  head/math/fpc-numlib/Makefile
  head/misc/fpc-chm/Makefile
  head/multimedia/fpc-dts/Makefile
  head/multimedia/fpc-libvlc/Makefile
  head/multimedia/winff/Makefile
  head/net/fpc-ldap/Makefile
  head/net/fpc-pcap/Makefile
  head/net-p2p/transmission-remote-gui/Makefile
  head/russian/emkatic/Makefile
  head/science/checkmol/Makefile
  head/science/mol2ps/Makefile
  head/security/fpc-openssl/Makefile
  head/sysutils/fpc-syslog/Makefile
  head/sysutils/fpc-users/Makefile
  head/sysutils/fpc-utmp/Makefile
  head/sysutils/fpc-uuid/Makefile
  head/textproc/fpc-aspell/Makefile
  head/textproc/fpc-libxml2/Makefile
  head/www/fpc-fastcgi/Makefile
  head/www/fpc-googleapi/Makefile
  head/www/fpc-httpd22/Makefile
  head/www/fpc-httpd24/Makefile
  head/www/fpc-libmicrohttpd/Makefile
  head/x11/fpc-x11/Makefile
  head/x11-fm/doublecmd/Makefile
  head/x11-toolkits/fpc-gtk2/Makefile
  head/x11-toolkits/fpc-xforms/Makefile